import type { SynthEngine } from './SynthEngine';
import { FourOpFM } from './FourOpFM';
import { TwoOpFM } from './TwoOpFM';
import { DubSiren } from './DubSiren';
import { Benjolin } from './Benjolin';
import { ZzfxEngine } from './ZzfxEngine';
import { NoiseDrum } from './NoiseDrum';
import { Ring } from './Ring';
import { Sample } from './Sample';
import { Input } from './Input';
import { KarplusStrong } from './KarplusStrong';
import { AdditiveEngine } from './AdditiveEngine';

export const engines: SynthEngine[] = [
  new Sample(),
  new Input(),
  new FourOpFM(),
  new TwoOpFM(),
  new DubSiren(),
  new Benjolin(),
  new ZzfxEngine(),
  new NoiseDrum(),
  new Ring(),
  new KarplusStrong(),
  new AdditiveEngine(),
];
